Gatana logoGatana Docs
RoutesTeamsTeamidProfiles

/teams/{teamId}/profiles

Assign a profile to a team. Only organization owners can lock the assignment

POST
/teams/{teamId}/profiles
AuthorizationBearer <token>

In: header

Path Parameters

teamId*string

ID of the team

Request Body

application/json

profileId*string

ID of the profile to assign

isLockedByOrgOwner?boolean

Whether to lock the assignment; only organization owners can lock. Default is false

Defaultfalse

Response Body

application/json

curl -X POST "https://YOUR_ORG_ID.gatana.ai/api/v1/teams/string/profiles" \  -H "Content-Type: application/json" \  -d '{    "profileId": "string"  }'
{
  "profileAssignments": [
    {
      "tenantId": "string",
      "teamId": "string",
      "profileId": "string",
      "isLockedByOrgOwner": true,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}